Subject: bug#32932: 27.0.50; render bugs on macOS Mojave

From: Alan Third <[email-masked]>
Date: Mon, 27 Jan 2020 20:45:35 +0000

On Mon, Jan 27, 2020 at 12:06:32PM +0100, Robert Pluim wrote:
> >>>>> On Sat, 25 Jan 2020 15:37:41 +0200, Eli Zaretskii <[email-masked]> said:
> 
>     >> Date: Sat, 25 Jan 2020 12:44:01 +0000
>     >> From: Alan Third <[email-masked]>
>     >> Cc: [email-masked]
>     >> 
>     >> So we have a trade off here of slower performance, which may or may
>     >> not be an issue, against drawing anomalies. I’m beginning to feel it’s
>     >> probably better to just get rid of the drawing issues and live with
>     >> the performance hit. I know that for me the performance difference is
>     >> not going to be noticeable at all.
> 
>     Eli> I think your tendency is the correct way of handling this issue: first
>     Eli> be correct, then fast.
> 
> The redraw problems have been starting to annoy me recently. Iʼll take
> correctness over speed as well.

OK, so I think we’re agreed to switch to the scratch/ns/draw-to-bitmap
branch. Obviously we’re too late for Emacs 27, but should we wait
until the Emacs 27 release process has completed or just merge it into
master now?

> (Iʼve not found any inspired solution to the speed issue. I *have*
> found various ways to kill Emacs, though :-) )

Sounds familiar... ;)
-- 
Alan Third